Get a thread by ID
curl --request GET \
--url https://api.example.com/api/v0/threads/{thread_id}import requests
url = "https://api.example.com/api/v0/threads/{thread_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v0/threads/{thread_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"thread_id": 123,
"name": "string",
"created_at": "string",
"updated_at": "string",
"questions": [
{
"id": 123,
"user_id": 123,
"question_text": "string",
"documents": [
{
"id": 123,
"name": "string",
"folder_id": {},
"file_path": {},
"file_type": "string",
"file_url": {},
"summary": "string",
"visibility": "string",
"version": 123,
"owner_id": 123,
"created_at": "string",
"updated_at": "string"
}
],
"plan": {},
"evidences": [
{
"id": 123,
"question_id": 123,
"evidence": "string",
"reasoning": "string",
"sequence_number": 123,
"document_id": 123,
"page_number": {},
"bboxes": {},
"created_at": "string",
"updated_at": "string"
}
],
"final_answer": {},
"answer_mode": "string",
"llm_provider": "string",
"chunk_type": "string",
"num_chunks": 123,
"num_chunks_processed": 123,
"current_state": "string",
"created_at": "string",
"updated_at": "string"
}
],
"question_positions": [
123
]
}
Threads
Get a thread by ID
Returns a specific thread by ID with its full list of questions if it belongs to the authenticated user.
GET
/
api
/
v0
/
threads
/
{thread_id}
Get a thread by ID
Get a thread by ID
Returns a specific thread by ID with its full list of questions if it belongs to the authenticated user.Path Parameters
integer
required
No description provided
Response
object
The response data for this endpoint.
{
"thread_id": 123,
"name": "string",
"created_at": "string",
"updated_at": "string",
"questions": [
{
"id": 123,
"user_id": 123,
"question_text": "string",
"documents": [
{
"id": 123,
"name": "string",
"folder_id": {},
"file_path": {},
"file_type": "string",
"file_url": {},
"summary": "string",
"visibility": "string",
"version": 123,
"owner_id": 123,
"created_at": "string",
"updated_at": "string"
}
],
"plan": {},
"evidences": [
{
"id": 123,
"question_id": 123,
"evidence": "string",
"reasoning": "string",
"sequence_number": 123,
"document_id": 123,
"page_number": {},
"bboxes": {},
"created_at": "string",
"updated_at": "string"
}
],
"final_answer": {},
"answer_mode": "string",
"llm_provider": "string",
"chunk_type": "string",
"num_chunks": 123,
"num_chunks_processed": 123,
"current_state": "string",
"created_at": "string",
"updated_at": "string"
}
],
"question_positions": [
123
]
}
⌘I